Cudnn 7.5.1 on Maxwell 5.2 GPU architecture: compatibility problem

Hi,
i have been using cuda 10.1 and cudnn 7.5.1 in my project. And i have M3000M GPU (5.2 arch). When i tried configure OpenCV binaries (i want add Cuda and Cudnn) i have error: CUDA backend for DNN module requires CC 5.3 or higher.
May be i have bad combination of Cuda and cuddn. I dont know. Have you guys some experince with this problem? Thnak you

You are correct I would not have expected an error like this. Looking at the support matrix for cuDNN Maxwell is supported even for the latest release and latest CUDA.

Please double check the actual cuDNN install package used to ensure it does match the CUDA version you have.